itpp::Slot< ObjectType, DataType > Class Template Reference

Slot Class. More...

`#include <itpp/protocol/signals_slots.h>`

Inheritance diagram for itpp::Slot< ObjectType, DataType >:

## Public Member Functions

| Slot (const std::string _name="Unamed Slot")
| Default constructor.
void | forward (ObjectType *object_pointer, void(ObjectType::*object_function_pointer)(DataType u))
| ADD DOCUMENTATION HERE.
| ~Slot ()
| Destructor.
void | operator() (DataType u)
| ADD DOCUMENTATION HERE.
void | set_name (const std::string &slot_name)
| set slot name

## Protected Types

typedef std::list< Signal< DataType > *, std::allocator< Signal< DataType > * > >::iterator | Signal_Iterator
| ADD DOCUMENTATION HERE.

## Protected Member Functions

void | _connect (Signal< DataType > *signal)
| ADD DOCUMENTATION HERE.
void | _disconnect (Signal< DataType > *signal)
| ADD DOCUMENTATION HERE.

## Protected Attributes

std::string | name
| ADD DOCUMENTATION HERE.
std::list< Signal< DataType > *, std::allocator< Signal< DataType > * > > | connected_signals
| ADD DOCUMENTATION HERE.

## Detailed Description

template<class ObjectType, class DataType>
class itpp::Slot< ObjectType, DataType >

Slot Class.

Definition at line 220 of file signals_slots.h.

## Member Typedef Documentation

## Signal_Iterator

template<class DataType>

typedef std::list<Signal<DataType>*,std::allocator<Signal<DataType>*>>::iterator itpp::Base_Slot< DataType >::Signal_Iterator

protected inherited

ADD DOCUMENTATION HERE.

Definition at line 204 of file signals_slots.h.

## Constructor & Destructor Documentation

## Slot()

template<class ObjectType, class DataType>

itpp::Slot< ObjectType, DataType >::Slot | ( | const std::string | _name = "Unamed Slot< ObjectType, DataType >" | ) |

Default constructor.

Definition at line 588 of file signals_slots.h.

References itpp::Base_Slot< DataType >::Base_Slot().

## ~Slot()

template<class ObjectType, class DataType>

itpp::Slot< ObjectType, DataType >::~Slot | ( |  | ) |

Destructor.

Definition at line 595 of file signals_slots.h.

## Member Function Documentation

## forward()

template<class ObjectType, class DataType>

void itpp::Slot< ObjectType, DataType >::forward | ( | ObjectType * | object_pointer,
|  | void(ObjectType::* | object_function_pointer )(DataType u) )

ADD DOCUMENTATION HERE.

Definition at line 598 of file signals_slots.h.

## operator()()

template<class ObjectType, class DataType>

void itpp::Slot< ObjectType, DataType >::operator() | ( | DataType | u | ) |

virtual

ADD DOCUMENTATION HERE.

Implements itpp::Base_Slot< DataType >.

Definition at line 611 of file signals_slots.h.

## set_name()

template<class DataType>

void itpp::Base_Slot< DataType >::set_name | ( | const std::string & | slot_name | ) |

inherited

set slot name

Definition at line 545 of file signals_slots.h.

References name.

Referenced by Base_Slot().

## _connect()

template<class DataType>

void itpp::Base_Slot< DataType >::_connect | ( | Signal< DataType > * | signal | ) |

protected inherited

ADD DOCUMENTATION HERE.

Definition at line 566 of file signals_slots.h.

References connected_signals.

Referenced by itpp::Signal< DataType >::connect().

## _disconnect()

template<class DataType>

void itpp::Base_Slot< DataType >::_disconnect | ( | Signal< DataType > * | signal | ) |

protected inherited

ADD DOCUMENTATION HERE.

Definition at line 572 of file signals_slots.h.

References connected_signals.

## Member Data Documentation

## name

template<class DataType>

std::string itpp::Base_Slot< DataType >::name

protected inherited

ADD DOCUMENTATION HERE.

Definition at line 206 of file signals_slots.h.

Referenced by itpp::Signal< DataType >::connect(), and set_name().

## connected_signals

template<class DataType>

std::list<Signal<DataType>*, std::allocator<Signal<DataType>* > > itpp::Base_Slot< DataType >::connected_signals

protected inherited

ADD DOCUMENTATION HERE.

Definition at line 212 of file signals_slots.h.

Referenced by _connect(), _disconnect(), and ~Base_Slot().

The documentation for this class was generated from the following file:

- itpp/protocol/signals_slots.h

Generated on for IT++ by Doxygen 1.15.0